: Class OPcall

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.jel
Class OPcall

    java.lang.Object
      |
      +--gnu.jel.OP
            |
            +--gnu.jel.OPfunction
                  |
                  +--gnu.jel.OPcall

public class OPcall
extends OPfunction

Fields inherited from class gnu.jel.OP
`next, prev, resID, resType`

Constructor Summary
`OPcall(TypesStack typesStk, int lvarn, java.lang.Class type)` Prepares access to the local variable (formal parameter) of method.
`OPcall(TypesStack typesStk, java.util.Stack paramOPs, Member m, OPlist list, boolean attemptEval)` Prepares a new method/field call/get operation to be added to the code.

Method Summary
`protected void` | `compile_par(ClassFile cf, int n)` Called to generate the code after a parameter is processed.
`protected void` | `compile_pre(ClassFile cf)` Called to generate the code before the parameters processing starts.
`protected void` | `compile(ClassFile cf)` Called to generate the code implementing this OP.
`protected void` | `eval(OPlist list)` Attempts to evaluate this function.
`int` | `getNParams()` Returns number of parameters for this function.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OPcall

    public OPcall(TypesStack typesStk,
                  java.util.Stack paramOPs,
                  Member m,
                  OPlist list,
                  boolean attemptEval)
           throws CompilationException

  Prepares a new method/field call/get operation to be added to the code.
  Parameters:
    `typesStk` - stack holding the current types (will be updated)
    `paramOPs` - stack holding the references to OPs after which the type conversion OP for corresponding parameter can be inserted (will be updated).
    `m` - method/field to call/get.
    `list` - current list of operations
    `attemptEval` - indicates if the method call should be attempted at the compile time

### OPcall

    public OPcall(TypesStack typesStk,
                  int lvarn,
                  java.lang.Class type)

  Prepares access to the local variable (formal parameter) of method.
  Parameters:
    `typesStk` - stack holding the current types (will be updated)
    `paramOPs` - stack holding the references to OPs after which the type conversion OP for corresponding parameter can be inserted (will be updated).
    `lvar` - local variable number.
    `type` - local variable type.

Method Detail

### getNParams

    public int getNParams()

  Returns number of parameters for this function.
  Overrides:
    `getNParams` in class `OPfunction`

### eval

    protected void eval(OPlist list)

  Attempts to evaluate this function.
  Overrides:
    `eval` in class `OPfunction`
  Parameters:
    `list` - is the list of OPs this one belong to, if eval is unsuccessful this list is not modified.

### compile_pre

    protected void compile_pre(ClassFile cf)

  Description copied from class: `OPfunction`
  Called to generate the code before the parameters processing starts.
  Overrides:
    `compile_pre` in class `OPfunction`
  Following copied from class: `gnu.jel.OPfunction`
  Parameters:
    `cf` - class file to write the code into.

### compile_par

    protected void compile_par(ClassFile cf,
                               int n)

  Description copied from class: `OPfunction`
  Called to generate the code after a parameter is processed.
  Overrides:
    `compile_par` in class `OPfunction`
  Following copied from class: `gnu.jel.OPfunction`
  Parameters:
    `cf` - class file to write the code into.
    `n` - the number of parameter (1 is first).

### compile

    protected void compile(ClassFile cf)

  Description copied from class: `OP`
  Called to generate the code implementing this OP.
  Overrides:
    `compile` in class `OP`
  Following copied from class: `gnu.jel.OP`
  Parameters:
    `cf` - class file to write the code into.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD